/**\file dd_uinit.h
 *\section License
 * License: GPL
 * Online License Link: http://www.gnu.org/licenses/gpl.html
 *
 *\author Copyright © 2006-2012 Jaakko Keränen <jaakko.keranen@iki.fi>
 *\author Copyright © 2005-2012 Daniel Swanson <danij@dengine.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 */

/**
 * Unix Initialization.
 */

#ifndef LIBDENG_UINIT_H
#define LIBDENG_UINIT_H

#include "dd_pinit.h"
#include "library.h"

typedef struct {
    Library* hInstPlug[MAX_PLUGS];
    GETGAMEAPI GetGameAPI;

    /// @c true = We are using a custom user dir specified on the command line.
    boolean usingUserDir;
#ifndef MACOSX
    /// @c true = We are using the user dir defined in the HOME environment.
    boolean usingHomeDir;
#endif
} application_t;

extern uint windowIDX; // Main window.
extern application_t app;

void DD_Shutdown(void);

#endif /* LIBDENG_UINIT_H */
